datablock PlayerData(PlayerInFamousArmor : PlayerStandardArmor)
{
	cameramaxdist = 3;
	cameraVerticalOffset = 1;
	cameraHorizontalOffset = 0.8;
	cameraTilt = 0.2;
	maxfreelookangle = 2;

	maxForwardSpeed = 14;
	maxBackwardSpeed = 10;
	maxSideSpeed = 8;

	rechargeRate = 1;
	showEnergyBar = true;
	canJet = false;
	uiName = "inFamous Player";
	isMage = true;

	canClimb = 1;
	wallJumpVel = 7;
	wallClimbVel = 8;
	airControl = 0.1;
};

function Player::HasEnergy(%obj, %amt)
{
	if(%obj.getEnergyLevel() >= %amt)
	{
		return true;
	}
	return false;
}

function Player::isOnGround(%obj)
{
	%pos = %obj.getPosition();
	%end = vectorAdd(%pos, "0 0 -0.1");
	%typemasks = $TypeMasks::FxBrickAlwaysObjectType;
	%ray = containerRayCast(%pos, %end, %typemasks, %obj);
	if(isObject(%hit = firstWord(%ray)))
	{
		if(%hit.getClassName() !$= "FxDTSbrick")
		{
			return true;
		}
		else if(%hit.isColliding())
		{
			return true;
		}
	}
	return false;
}