$DefaultClimbable = 1;
package Freerunning
{
	function Armor::onTrigger(%db,%player,%slot,%io)
	{
		Parent::onTrigger(%db,%player,%slot,%io);

		if(%player.getDatablock().canClimb)
		{
			if(%slot == 4)
			{
				%player.pkm = %io;
			}
			if(!%player.getMountedImage(0) || !%player.getDatablock().alwaysClimb)
			{
				%side = %player.getDatablock().wallJumpVel;
				%up = %player.getDatablock().wallClimbVel;
				if(%slot == 2 && %io)
				{
					if(%player.holding)
					{
						%up = %side;
						%side += 4;
						%dir = %player.getEyeVector();
						%player.holding = 0;
						cancel(%player.nhtick);
						%player.holdposition = "";
						%vel = mClampF(getword(%dir,0) * %side,0 - %side,%side) SPC mClampF(getword(%dir,1) * %side,0 - %side,%side) SPC mClampF(getword(%dir,2) * %up,0 - %up,%up);
						%player.setVelocity(%vel);
						return;
					}
					%touch = containerRayCast(%player.getPosition(),vectorAdd(vectorScale(vectorNormalize(setword(%player.getEyeVector(),2,"0")),2),%player.getPosition()),$TypeMasks::FxBrickAlwaysObjectType);
					if(!isObject(%touch))
					{
						return;
					}
					if(%touch.getClassName() $= "InteriorInstance")
					{
						%col = 1;
					} else {
						%col = %touch.isColliding();
					}
					if(isObject(%touch) && %col && (%touch.rejClimb == !$DefaultClimbable))
					{
						if(%player.pkm)
						{
							if(%touch.getClassName() $= "fxDTSBrick")
							{
								%touch.onClimb(%player);
							}
							%dir = %player.getEyeVector();
							if(getWord(%dir,2) > 0)
							{
								%player.setVelocity("0 0" SPC %up);
							} else {
								%vel = mClampF(getword(%dir,0) * (0 - %side),0 - %side,%side) SPC mClampF(getword(%dir,1) * (0 - %side),0 - %side,%side) SPC %up;
								%player.setVelocity(%vel);
							}
							%player.playThread(2,"activate2");
						}
					}
				}
				if(%slot == 0)
				{
					if(%io)
					{
						%touch = containerRayCast(%player.getPosition(),vectorAdd(vectorScale(vectorNormalize(setword(%player.getEyeVector(),2,"0")),2),%player.getPosition()),$TypeMasks::FxBrickAlwaysObjectType);
						if(!isObject(%touch))
						{
							return;
						}
						if(%touch.getClassName() $= "InteriorInstance")
						{
							%col = 1;
						} else {
							%col = %touch.isColliding();
						}
						if(isObject(%touch) && %col && (%touch.rejClimb == !$DefaultClimbable))
						{
							if(%player.pkm)
							{
								if(!%player.Holding)
								{
									%player.HoldPosition = %player.getPosition();
									%player.nhtick = schedule(100,0,"HoldTick",%player);
									%player.holding = 1;
									%player.PlayThread(0,"armReady");
								} else {
									%player.holding = 0;
									cancel(%player.nhtick);
									%player.holdposition = "";
								}
							}
						}
					}
				}
			}
		}
	}
	function Player::ActivateStuff(%player)
	{
		if(%player.pkm)
		{
			return;
		}
		Parent::ActivateStuff(%player);
	}
};
ActivatePackage(Freerunning);
function fxDTSBrick::setClimbable(%brick,%bool)
{
	if($DefaultClimbable)
	{
		%brick.rejClimb = !%bool;
	} else {
		%brick.rejClimb = %bool;
	}
}
registerOutputEvent(fxDTSBrick,"setClimbable","bool",0);
function fxDTSBrick::onClimb(%brick,%player)
{
	$inputTarget_Self = %brick;
	$inputTarget_Player = %player;
	$inputTarget_Client = %player.client;
	%brick.processInputEvent("onClimb",%player.client);
}
registerInputEvent(fxDTSBrick,"onClimb","Self fxDTSBrick\tPlayer Player\tClient GameConnection");

function HoldTick(%player)
{
	if(!isObject(%player))
	{
		return;
	}
	cancel(%player.nhtick);
	if(%player.pkm && %player.holding)
	{
		%player.setTransform(%player.HoldPosition);
		%player.setVelocity("0 0 2");
		%player.nhtick = schedule(100,0,"HoldTick",%player);
	} else {
		%player.holdPosition = "";
	}
}

   exec("./Weapon_Lightning.cs");
   exec("./Player_inFamous.cs");
   exec("./Item_Static_Thrusters.cs");
   exec("./Weapon_Shockwave.cs");